// Defining own Namespace and properties
jQuery.SVPosts = jQuery.SVPosts || {};
jQuery.SVPosts.infiniteScroll = jQuery.SVPosts.infiniteScroll || {};
jQuery.SVPosts.infiniteScroll.data = js_sv_posts_modules_sv_posts_scripts_infinite;

// Variables
let canBeLoaded = true;

// Functions
// Checks distance between Posts Block and Bottom
jQuery.SVPosts.infiniteScroll.checkDistance = function ( data ) {
    const bottomOffset = 50;
    const block = jQuery( '.wp-block-straightvisions-sv-posts.sv-posts-is-infinite-scroll' );
    let distanceToBottom =  jQuery( window ).height() - ( block.offset().top + block.outerHeight() );

    if ( distanceToBottom > ( bottomOffset * -1 ) && canBeLoaded ) {
        jQuery.when( jQuery.SVPosts.infiniteScroll.loadPosts( data ) ).then( function() {
            jQuery.SVPosts.infiniteScroll.checkDistance( data )
        } );
    }
};

// Loads posts in the Posts Block
jQuery.SVPosts.infiniteScroll.loadPosts = function ( data ) {
    return(
        jQuery.ajax({
            url : jQuery.SVPosts.infiniteScroll.data.ajaxurl,
            data: data,
            type: 'POST',
            beforeSend: function() {
                canBeLoaded = false; 

                if ( ! canBeLoaded ) {
                    jQuery( '.wp-block-straightvisions-sv-posts.sv-posts-is-infinite-scroll .sv-posts-infinite-scroll-loader' ).show();
                }
            },
            success: function( data ) {
                if ( data ) {
                    jQuery( '.wp-block-straightvisions-sv-posts.sv-posts-is-infinite-scroll' ).find( 'article:last-of-type' ).after( data );

                    canBeLoaded = true;
                    jQuery.SVPosts.infiniteScroll.data.current_page++;
                }


            },
            complete: function(){

                jQuery( '.wp-block-straightvisions-sv-posts.sv-posts-is-infinite-scroll .sv-posts-infinite-scroll-loader' ).hide();

            }
        })
    );
};

// Eventlistener
jQuery( document ).ready( function() {
    const data = {
        'action': 'infinite_load_posts',
        'nonce': jQuery.SVPosts.infiniteScroll.data.nonce,
        'block_attr': jQuery.SVPosts.infiniteScroll.data.block_attr,
        'query': jQuery.SVPosts.infiniteScroll.data.posts,
        'page': jQuery.SVPosts.infiniteScroll.data.current_page
    };

    jQuery.SVPosts.infiniteScroll.checkDistance( data );
} );

jQuery( window ).scroll( function() {
    const bottomOffset = 1500;
    const data = {
        'action': 'infinite_load_posts',
        'nonce': jQuery.SVPosts.infiniteScroll.data.nonce,
        'block_attr': jQuery.SVPosts.infiniteScroll.data.block_attr,
        'query': jQuery.SVPosts.infiniteScroll.data.posts,
        'page': jQuery.SVPosts.infiniteScroll.data.current_page
    };

    if( jQuery( window ).scrollTop() > ( jQuery( window ).height() - bottomOffset ) && canBeLoaded ) {
        jQuery.SVPosts.infiniteScroll.loadPosts( data );
    }
} );