<?php
    $data_attr_slider = '';
    if ( isset( $attr['slickSlider'] ) && $attr['slickSlider'] ) {
        $ID = $this->get_parent()->get_entity_ID();
        $data_attr_slider = 'data-slider-id="'.$ID.'"';

    }
?>
<div class="<?php echo $this->get_wrapper_class();  ?>" <?php echo $data_attr_slider; ?>>
    <?php
        $wp_query   = $this->get_custom_query();
        $count      = 0;
        $count_max  = $wp_query->post_count;

        $full_path = $this->get_path( 'lib/frontend/tpl/style_' . $attr['postStyle'] . '.php' );
        $path = apply_filters($this->get_root()->get_prefix().'_filter_tpl_path', $attr['postStyle'], $full_path);

	    while ( have_posts() ) {
            $count++;
            the_post();
            
            if($this->wpml->is_active() && $attr['WPMLIgnorePostLanguage'] === false ){
	            // Checks if WPML is active and if post, hast the same language like the current post
	            if ($this->wpml->get_post_language( get_the_id() ) && $this->wpml->get_current_language() !== $this->wpml->get_post_language( get_the_id() ) ) {
		            continue;
	            }
            }
		    
            if(file_exists($path)){
	            require( $path );
            }else{
                error_log('SV Posts: File not found:' .(string)$path);
            }
            

            wp_reset_postdata();
        }

        // When Pagination is enabled
        if ( isset( $attr['enablePagination'] ) && $attr['enablePagination'] ) {
            require( $this->get_path( 'lib/frontend/tpl/pagination.php' ) );
        }

        // When Infinite Scroll is enabled
        if ( isset( $attr['enableInfiniteScroll'] ) && $attr['enableInfiniteScroll'] ) {
            ?>
            <div class="sv-posts-infinite-scroll-loader">
                <svg width="38" height="38" viewBox="0 0 38 38" xmlns="http://www.w3.org/2000/svg" stroke="#000">
                    <g fill="none" fill-rule="evenodd">
                        <g transform="translate(1 1)" stroke-width="2">
                            <circle stroke-opacity=".5" cx="18" cy="18" r="18"/>
                            <path d="M36 18c0-9.94-8.06-18-18-18">
                                <animateTransform
                                        attributeName="transform"
                                        type="rotate"
                                        from="0 18 18"
                                        to="360 18 18"
                                        dur="1s"
                                        repeatCount="indefinite"/>
                            </path>
                        </g>
                    </g>
                </svg>
            </div>
            <?php
            // Enqueues the Infinite Scrolling script
            $this->get_parent()->get_script( 'infinite' )
            ->set_is_enqueued()->set_localized(
                array_merge(
                    $this->get_parent()->get_script( 'infinite' )->get_localized(),
                    array(
                        'ajaxurl' 		=> admin_url( 'admin-ajax.php' ),
                        'nonce'         => \wp_create_nonce( 'infinite_scroll_load_posts' ),
                        'block_attr'    => json_encode( $attr ),
                        'posts' 		=> json_encode( $wp_query->query_vars ),
                        'current_page'  => max( 1, is_front_page() ? get_query_var('page') : get_query_var('paged') ),
                        'max_page'      => $wp_query->max_num_pages
                    )
                )
            );
        }
    ?>
</div>
<?php
if ( isset( $attr['slickSlider'] ) && $attr['slickSlider'] ) {
    require( $this->get_path( 'lib/frontend/js/slick_settings.php' ) );
}
?>